Name:		gzip
Summary:	The GNU data compression program
Version:	1.8
Release:	%mkrel 1
Source0:	ftp://ftp.gnu.org/gnu/gzip/%{name}-%{version}.tar.xz
URL:		https://www.gnu.org/software/gzip/
License:	GPL
Group:		Archiving/Compression
BuildRequires:  texinfo
BuildRoot:	%defaultbuildroot
Requires(pre,preun): info-install
Requires:	mktemp less

%description
The gzip package contains the popular GNU gzip data compression
program. Gzipped files have a .gz extension.

Gzip should be installed on your Mandriva Linux system, because it is a
very commonly used data compression program.

%prep
%setup -q

%build
export DEFS="-DNO_ASM"
export CPPFLAGS="-DHAVE_LSTAT"
%configure2_5x
%make

%check
make check

%install
%__rm -rf %{buildroot}
%makeinstall_std

%__install -d %{buildroot}/bin

for i in gzip gunzip zcat; do
    mv -f %{buildroot}%{_bindir}/$i %{buildroot}/bin/$i
    ln -sf ../../bin/$i %{buildroot}%{_bindir}/$i
done

for i in zcmp zdiff zforce zgrep zmore znew ; do
	sed -e "s|%{buildroot}||g" < %{buildroot}%{_bindir}/$i > %{buildroot}%{_bindir}/.$i
	rm -f %{buildroot}%{_bindir}/$i
	mv %{buildroot}%{_bindir}/.$i %{buildroot}%{_bindir}/$i
	chmod 755 %{buildroot}%{_bindir}/$i
done

%__rm -f %{buildroot}%{_bindir}/uncompress

%__cat > %{buildroot}%{_bindir}/zless <<EOF
#!/bin/sh
export LESSOPEN="|lesspipe.sh %s"
less "\$@"
EOF
%__chmod 755 %{buildroot}%{_bindir}/zless

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEWS README AUTHORS ChangeLog
/bin/*
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*

%changelog
* Fri Oct 28 2016 adrianomorselli <adrianomorselli> 1.8-1uplos2016
- rebuild

* Wed Apr 27 2016 bb <bb> 1.8-1pclos2016
- update

* Tue Apr 05 2016 marcin82 <marcin82 at vp.pl> 1.7-1pclos2016
- update
- updated url and source url

* Thu Jun 20 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.6-1pclos2013
- 1.6
- commented all patches

* Tue Nov 16 2010 pcserver <pcserver at hush.com> 1.4-1pclos2010
- 1.4
